# API Documentation

## Ingest API

If you are looking to send people and their activity to Encharge, the [Encharge Ingest API](/getting-started/connecting-your-app-to-encharge/ingest-api.md) is the easiest way to do so.

***Do not use this API if you are building an integration to be used by our mutual users.***

## Javascript API

We also have [Javascript API](/getting-started/connecting-your-app-to-encharge/javascript-event-tracking.md) if you'd like to track people's activity on your app's frontend or specific actions on your site.

## REST API

For advanced integrations with Encharge, use the Encharge REST API.

***Use the REST API if you are building an integration with Encharge.***

The Encharge API documentation is available formatted by [ReDoc](https://app-encharge-resources.s3.amazonaws.com/redoc.html) (recommended) or [RapiDoc](https://app-encharge-resources.s3.amazonaws.com/rapidoc.html) (experimental).&#x20;

You can also download the raw [OpenAPI 3 definition](https://encharge-app-resources.s3.amazonaws.com/merged.yaml).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encharge.io/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
